Subject: Re: bug#23557: "corrupt input while restoring archive from socket" after interrupted package install

From: [email-masked] (Ludovic Courtès)
Date: Sun, 22 May 2016 21:44:07 +0200

Harry Prevor <[email-masked]> skribis:

> On 2016-05-16 17:10, [email-masked] wrote:
>>> I tried to install emacs on guix recently, and I actually got a kernel
>>> panic in the middle of installing so I had to do a hard reboot.
>>
>> Are you installing GuixSD, or are you installing Guix on another
>> distro?
>
> I'm trying to install emacs on GuixSD, which is running on a Thinkpad
> X200.

[...]

>> Can you try:
>>
>>   guix build emacs --substitute-urls=http://mirror.hydra.gnu.org
>
> It seems to have succeeded:
>
> @ build-succeeded
> /gnu/store/p5bhpqf6zj1kg55p4gyndrppswbskh8k-emacs-24.5.drv -
> /gnu/store/35nvlacqcl3wv5al5lj3077h0hx4bn2q-emacs-24.5
>
> After doing this, I tried doing "guix package -i emacs" again, and it
> installed successfully! Thank you for your help; unfortunately I don't
> know exactly what fixed this but I'd be happy to continue debugging if
> it's of use to someone.

Frustrating, but a good outcome.  ;-)

It could be that the thing was using http://hydra.gnu.org, and that this
server was overloaded and dropped the connection, or something.

In 0.10.0 we switched the default substitute server to
https://mirror.hydra.gnu.org, a mirror that is much faster than
hydra.gnu.org.

If you reconfigure GuixSD from a recent Guix, GuixSD’s guix-daemon
service will use mirror.hydra.gnu.org.

Thanks,
Ludo’.